For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate comment
      • POSTCreate comment attachment
      • DELDelete comment attachment
      • GETList comments
      • GETShow comment
      • PATCHUpdate comment

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceComments

Create comment attachment

Deprecated
POST
https://api.frame.io/v4/accounts/:account_id/comments/:comment_id/attachments
POST
/v4/accounts/:account_id/comments/:comment_id/attachments
1from frameio_experimental import FrameioExperimental, AttachmentInput
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.comments.create_attachment(
8 account_id="5aed70d6-04a3-40b8-879c-637c04f29987",
9 comment_id="c6ee4584-3a39-4228-a64c-f0d5cd237cd6",
10 data=AttachmentInput(
11 file_size=1024000,
12 media_type="image/png",
13 name="screenshot.png",
14 ),
15)
1{
2 "data": {
3 "created_at": "2025-11-11T17:41:34.358394Z",
4 "file_size": 1024000,
5 "id": "2b8126bc-9e57-472e-8c6e-ff452a8a9072",
6 "media_type": "image/png",
7 "name": "Comp2.png",
8 "upload_urls": [
9 "https://s3.amazonaws.com/bucket/part1?signature=..."
10 ]
11 }
12}
Create an attachment for an existing comment. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.create_attachment. <br/>Rate Limits: 60 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Delete comment attachment

Next

Create an attachment for an existing comment.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.create_attachment.
Rate Limits: 60 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
comment_idstringRequiredformat: "uuid"
A UUID String

Request

Comment attachment params body
dataobjectRequired
Input for creating a comment attachment

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error